Skip to main content
POST
/
v1
/
analysis-type-configuration
/
query
Query
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "operator": "$eq"
}
'
{
  "pageNumber": 123,
  "totalPages": 123,
  "content": [
    {
      "version": 123,
      "id": "<string>",
      "creationDate": "2023-11-07T05:31:56Z",
      "lastModifiedDate": "2023-11-07T05:31:56Z",
      "createdUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "lastModifiedUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "system": true,
      "libraryId": "<string>",
      "engagementId": "<string>",
      "analysisId": "<string>",
      "analysisTypeId": "<string>",
      "configuration": {
        "riskGroups": [
          {
            "disabled": true,
            "id": "<string>",
            "system": true,
            "analysisTypeId": "<string>",
            "selectedRiskRange": "<string>",
            "applicableRiskRanges": [
              "<string>"
            ],
            "filter": {
              "values": [
                "<string>"
              ]
            },
            "controlPointWeights": {},
            "controlPointBundleVersion": "<string>",
            "name": {},
            "description": {},
            "category": {},
            "riskAssertionCategory": "GENERAL"
          }
        ]
      },
      "controlPointBundleVersion": "<string>",
      "template": true
    }
  ],
  "numberOfElements": 123,
  "totalElements": 123,
  "pageable": {
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  },
  "pageSize": 123,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "first": true,
  "last": true,
  "size": 123,
  "number": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer<int32>
Required range: x >= 0
size
integer<int32>
Required range: x >= 1
sort
string[]

Body

application/json
operator
enum<string>
required
Available options:
$eq,
$ne,
$gt,
$gte,
$lt,
$lte,
$contains,
$ncontains,
$in,
$nin,
$flags,
$keyword_prefix,
$keyword_prefix_not,
$isubstr,
$iprefix,
$niprefix,
$between,
$nbetween,
$and,
$or,
$population,
$not_population,
null
{key}

Response

200 - application/json

OK

pageNumber
integer<int32>
totalPages
integer<int32>
content
Analysis Type Configuration · object[]
numberOfElements
integer<int32>
totalElements
integer<int64>
pageable
object
deprecated
pageSize
integer<int32>
deprecated
sort
object
deprecated
first
boolean
deprecated
last
boolean
deprecated
size
integer<int32>
deprecated
number
integer<int32>
deprecated